Public Class CheckFriday
    Inherits System.Workflow.ComponentModel.Activity

    Public Shared DayOfWeekProperty As DependencyProperty = DependencyProperty.Register("DayOfWeek", GetType(DayOfWeek), GetType(CheckFriday))

    <Description("What day of week do you want it to be?")> _
    <Category("Custom")> _
    <Browsable(True)> _
    <DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)> _
    Public Property DayOfWeek() As DayOfWeek
        Get
            Return (CType((MyBase.GetValue(CheckFriday.DayOfWeekProperty)), DayOfWeek))
        End Get
        Set(ByVal Value As DayOfWeek)
            MyBase.SetValue(CheckFriday.DayOfWeekProperty, Value)
        End Set
    End Property

    Protected Overrides Function Execute(ByVal executionContext As System.Workflow.ComponentModel.ActivityExecutionContext) As System.Workflow.ComponentModel.ActivityExecutionStatus
        If Me.DayOfWeek = System.DayOfWeek.Friday Then
            Console.WriteLine("Yeah, it's Friday!")
        Else
            Console.WriteLine("I wish it were Friday.")
        End If
        Return ActivityExecutionStatus.Closed
    End Function

End Class
