Public Class MagicEightBallService
    Implements IMagicEightBall


    Public Event Shake(ByVal sender As Object, ByVal e As MagicEightBallEventArgs) Implements IMagicEightBall.Shake

    Public Sub ShowResult(ByVal question As String, ByVal result As String) Implements IMagicEightBall.ShowResult
        Console.WriteLine(String.Format("Your question was '{0}'", question))
        Console.WriteLine(String.Concat("The magic Eight Ball says: ", result))
    End Sub


    Public Sub ShakeTheBall(ByVal instanceId As Guid)
        RaiseEvent Shake(Nothing, New MagicEightBallEventArgs(instanceId))
    End Sub
End Class
